# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting field 'CoverSettings.cover_cropping'
        db.delete_column('cmsplugin_coversettings', 'cover_cropping')

        # Deleting field 'CoverSettings.description'
        db.delete_column('cmsplugin_coversettings', 'description')

        # Deleting field 'CoverSettings.home_description'
        db.delete_column('cmsplugin_coversettings', 'home_description')

        # Deleting field 'CoverSettings.icon_cropping'
        db.delete_column('cmsplugin_coversettings', 'icon_cropping')

        # Deleting field 'CoverSettings.icon'
        db.delete_column('cmsplugin_coversettings', 'icon')

        # Deleting field 'CoverSettings.cover_cropping_box'
        db.delete_column('cmsplugin_coversettings', 'cover_cropping_box')

        # Deleting field 'CoverSettings.tile_cropping'
        db.delete_column('cmsplugin_coversettings', 'tile_cropping')

        # Deleting field 'CoverSettings.cover'
        db.delete_column('cmsplugin_coversettings', 'cover')

        # Deleting field 'CoverSettings.tile'
        db.delete_column('cmsplugin_coversettings', 'tile')

        # Adding field 'CoverSettings.title'
        db.add_column('cmsplugin_coversettings', 'title',
                      self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.image'
        db.add_column('cmsplugin_coversettings', 'image',
                      self.gf('imagekit.models.fields.ProcessedImageField')(max_length=100, null=True, blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.image_cropping'
        db.add_column('cmsplugin_coversettings', 'image_cropping',
                      self.gf(u'django.db.models.fields.CharField')(default=u'', max_length=255, blank=True),
                      keep_default=False)


    def backwards(self, orm):
        # Adding field 'CoverSettings.cover_cropping'
        db.add_column('cmsplugin_coversettings', 'cover_cropping',
                      self.gf(u'django.db.models.fields.CharField')(default=u'', max_length=255, blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.description'
        db.add_column('cmsplugin_coversettings', 'description',
                      self.gf('django.db.models.fields.TextField')(null=True, blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.home_description'
        db.add_column('cmsplugin_coversettings', 'home_description',
                      self.gf('jmb.core.db.fields.HTMLFieldTinyMCE')(default='', blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.icon_cropping'
        db.add_column('cmsplugin_coversettings', 'icon_cropping',
                      self.gf(u'django.db.models.fields.CharField')(default=u'', max_length=255, blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.icon'
        db.add_column('cmsplugin_coversettings', 'icon',
                      self.gf('imagekit.models.fields.ProcessedImageField')(max_length=100, null=True, blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.cover_cropping_box'
        db.add_column('cmsplugin_coversettings', 'cover_cropping_box',
                      self.gf(u'django.db.models.fields.CharField')(default=u'', max_length=255, blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.tile_cropping'
        db.add_column('cmsplugin_coversettings', 'tile_cropping',
                      self.gf(u'django.db.models.fields.CharField')(default=u'', max_length=255, blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.cover'
        db.add_column('cmsplugin_coversettings', 'cover',
                      self.gf('imagekit.models.fields.ProcessedImageField')(max_length=100, null=True, blank=True),
                      keep_default=False)

        # Adding field 'CoverSettings.tile'
        db.add_column('cmsplugin_coversettings', 'tile',
                      self.gf('imagekit.models.fields.ProcessedImageField')(max_length=100, null=True, blank=True),
                      keep_default=False)

        # Deleting field 'CoverSettings.title'
        db.delete_column('cmsplugin_coversettings', 'title')

        # Deleting field 'CoverSettings.image'
        db.delete_column('cmsplugin_coversettings', 'image')

        # Deleting field 'CoverSettings.image_cropping'
        db.delete_column('cmsplugin_coversettings', 'image_cropping')


    models = {
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'cmsmisc.coversettings': {
            'Meta': {'object_name': 'CoverSettings', 'db_table': "'cmsplugin_coversettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'image': ('imagekit.models.fields.ProcessedImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'image_cropping': (u'django.db.models.fields.CharField', [], {'default': "u''", 'max_length': '255', 'blank': 'True'}),
            'subtitle': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['cmsmisc']